// ***** Hier die Einstellungen vornehmen ********************

// Anzahl der Aussagen (min. 1, max. 4)
let anzahl = 4;

// Skala für Zustimmungswerte (min. 2, max. 10)
let skala = 10;

// Aussagen
let aussage1 = "Ich habe etwas gelernt";
let aussage2 = "Die Teamarbeit war erfolgreich";
let aussage3 = "Die Inhalte waren verständlich";
let aussage4 = "Ich kann das Thema in der Praxis einsetzen";

// Farbpunkte animieren: "yes" oder "no"
let punkteanimation = "no";

// ***** Ab hier bitte nichts mehr ändern ********************

anzahl = Math.max(1, anzahl);
anzahl = Math.min(4, anzahl);
skala = Math.max(2, skala);
skala = Math.min(10, skala);

let frage1 = aussage1;
let frage2 = aussage2;
let frage3 = aussage3;
let frage4 = aussage4;

document.addEventListener("DOMContentLoaded", function () {
  var element = document.getElementById("question1");
  element.innerHTML = aussage1;
  var element = document.getElementById("question2");
  element.innerHTML = aussage2;
  var element = document.getElementById("question3");
  element.innerHTML = aussage3;
  var element = document.getElementById("question4");
  element.innerHTML = aussage4;

  // Find and hide elements with the corresponding classes
  switch (anzahl) {
    case 1:
      var divlabels = document.getElementsByClassName("divlabel");
      for (var i = 0; i < divlabels.length; i++) {
        var divlabel = divlabels[i];
        if (
          divlabel.classList.contains("yellow") ||
          divlabel.classList.contains("red") ||
          divlabel.classList.contains("blue")
        ) {
          divlabel.classList.add("hidden");
        }
      }
      break;
    case 2:
      var divlabels = document.getElementsByClassName("divlabel");
      for (var i = 0; i < divlabels.length; i++) {
        var divlabel = divlabels[i];
        if (
          divlabel.classList.contains("red") ||
          divlabel.classList.contains("blue")
        ) {
          divlabel.classList.add("hidden");
        }
      }
      break;
    case 3:
      var divlabels = document.getElementsByClassName("divlabel");
      for (var i = 0; i < divlabels.length; i++) {
        var divlabel = divlabels[i];
        if (divlabel.classList.contains("blue")) {
          divlabel.classList.add("hidden");
        }
      }
      break;
  }
  hideReloadHint();
  var anker = document.querySelector("#parent");
  anker.scrollIntoView();

  //Ringe erstellen
  for (let i = 1; i <= 10; i++) {
    const ring = document.getElementById("ring" + i);
    if (i > skala) {
      ring.style.display = "none";
    } else {
      ring.style.display = "block";
    }
  }

  for (let i = 1; i <= 10; i++) {
    const ring = document.getElementById("ring" + i);
    const size = (i * 100) / skala;
    const position = (100 - size) / 2;

    ring.style.width = size + "%";
    ring.style.height = size + "%";
    ring.style.top = position + "%";
    ring.style.left = position + "%";
  }

  hideReloadHint();
  var anker = document.querySelector("#parent");
  anker.scrollIntoView();
});

function showReloadHint() {
  var nachladenHinweisElement = document.getElementById("nachladenHinweis");
  nachladenHinweisElement.style.display = "block";
  let zielscheibeElement = document.getElementById("zielscheibe");
  zielscheibeElement.style.visibility = "hidden";
}

function hideReloadHint() {
  var nachladenHinweisElement = document.getElementById("nachladenHinweis");
  nachladenHinweisElement.style.display = "none";
  let zielscheibeElement = document.getElementById("zielscheibe");
  zielscheibeElement.style.visibility = "visible";
}

function reloadPage() {
  showReloadHint();
  setTimeout(function () {
    location.reload();
  }, 1000);
}

window.addEventListener("resize", reloadPage);